System Queries(3)

NAME
System Queries -

  Defines

#define NVML_CUDA_DRIVER_VERSION_MAJOR(v) ((v)/1000)

  Functions

nvmlReturn_t DECLDIR nvmlSystemGetDriverVersion (char *version, unsigned int length)
nvmlReturn_t DECLDIR nvmlSystemGetNVMLVersion (char *version, unsigned int length)
nvmlReturn_t DECLDIR nvmlSystemGetCudaDriverVersion (int *cudaDriverVersion)
nvmlReturn_t DECLDIR nvmlSystemGetCudaDriverVersion_v2 (int *cudaDriverVersion)
nvmlReturn_t DECLDIR nvmlSystemGetProcessName (unsigned int pid, char *name, unsigned int length)

Detailed Description

This chapter describes the queries that NVML can perform against the local system. These queries are not device-specific.

Define Documentation

  #define NVML_CUDA_DRIVER_VERSION_MAJOR(v) ((v)/1000)

Macros for converting the CUDA driver version number to Major and Minor version numbers.

Function Documentation

  nvmlReturn_t DECLDIR nvmlSystemGetCudaDriverVersion (int * cudaDriverVersion)

Retrieves the version of the CUDA driver.

For all products.

The CUDA driver version returned will be retreived from the currently installed version of CUDA. If the cuda library is not found, this function will return a known supported version number.

Parameters:
    cudaDriverVersion Reference in which to return the version identifier

Returns:

    •   NVML_SUCCESS if cudaDriverVersion has been set

    •   NVML_ERROR_INVALID_ARGUMENT if cudaDriverVersion is NULL

  nvmlReturn_t DECLDIR nvmlSystemGetCudaDriverVersion_v2 (int * cudaDriverVersion)

Retrieves the version of the CUDA driver from the shared library.

For all products.

The returned CUDA driver version by calling cuDriverGetVersion()

Parameters:
    cudaDriverVersion Reference in which to return the version identifier

Returns:

    •   NVML_SUCCESS if cudaDriverVersion has been set

    •   NVML_ERROR_INVALID_ARGUMENT if cudaDriverVersion is NULL

    •   NVML_ERROR_LIBRARY_NOT_FOUND if libcuda.so.1 or libcuda.dll is not found

    •   NVML_ERROR_FUNCTION_NOT_FOUND if cuDriverGetVersion() is not found in the shared library

  nvmlReturn_t DECLDIR nvmlSystemGetDriverVersion (char * version, unsigned int length)

Retrieves the version of the system's graphics driver.

For all products.

The version identifier is an alphanumeric string. It will not exceed 80 characters in length (including the NULL terminator). See nvmlConstants::NVML_SYSTEM_DRIVER_VERSION_BUFFER_SIZE.

Parameters:
    version Reference in which to return the version identifier
    length The maximum allowed length of the string returned in version

Returns:

    •   NVML_SUCCESS if version has been set

    •   NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized

    •   NVML_ERROR_INVALID_ARGUMENT if version is NULL

    •   NVML_ERROR_INSUFFICIENT_SIZE if length is too small

  nvmlReturn_t DECLDIR nvmlSystemGetNVMLVersion (char * version, unsigned int length)

Retrieves the version of the NVML library.

For all products.

The version identifier is an alphanumeric string. It will not exceed 80 characters in length (including the NULL terminator). See nvmlConstants::NVML_SYSTEM_NVML_VERSION_BUFFER_SIZE.

Parameters:
    version Reference in which to return the version identifier
    length The maximum allowed length of the string returned in version

Returns:

    •   NVML_SUCCESS if version has been set

    •   NVML_ERROR_INVALID_ARGUMENT if version is NULL

    •   NVML_ERROR_INSUFFICIENT_SIZE if length is too small

  nvmlReturn_t DECLDIR nvmlSystemGetProcessName (unsigned int pid, char * name, unsigned int length)

Gets name of the process with provided process id

For all products.

Returned process name is cropped to provided length. name string is encoded in ANSI.

Parameters:
    pid The identifier of the process
    name Reference in which to return the process name
    length The maximum allowed length of the string returned in name

Returns:

    •   NVML_SUCCESS if name has been set

    •   NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized

    •   NVML_ERROR_INVALID_ARGUMENT if name is NULL or length is 0.

    •   NVML_ERROR_NOT_FOUND if process doesn't exists

    •   NVML_ERROR_NO_PERMISSION if the user doesn't have permission to perform this operation

    •   NVML_ERROR_UNKNOWN on any unexpected error

Author

Generated automatically by Doxygen for NVML from the source code.